Skip to main content
GET
/
v1
/
batches
List Batches Endpoint
curl --request GET \
  --url https://api.extract.page/v1/batches \
  --header 'X-API-KEY: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "status": "<string>",
      "counts": {
        "pending": 0,
        "running": 0,
        "succeeded": 0,
        "failed": 0,
        "cancelled": 0
      },
      "total_items": 123,
      "engine": "<string>",
      "options": {},
      "created_at": "<string>",
      "expires_at": "<string>",
      "object": "batch",
      "metadata": {},
      "started_at": "<string>",
      "completed_at": "<string>"
    }
  ],
  "object": "list",
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extract.page/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

status
string | null
cursor
string | null
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

data
BatchResource · object[]
required
object
string
default:list
next_cursor
string | null